Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the POE-Component-Server-Twirc CPAN distribution.

Report information
The Basics
Id: 92250
Status: open
Priority: 0/
Queue: POE-Component-Server-Twirc

People
Owner: Nobody in particular
Requestors: cjm [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 0.16
Fixed in: (no value)



Subject: [FATAL] Failed to get authenticated user data from twitter (verify_credentials)
Download (untitled) / with headers
text/plain 1.3k
I had twirc working nicely, but recently it quit working completely. I keep getting "[FATAL] Failed to get authenticated user data from twitter (verify_credentials)" when I try to start it. $ twirc -c twirc.ini -d 23:24:14 [DEBUG] Creating lwp_useragent_poe_http_client_poco session 23:24:14 [DEBUG] Spawning lwp_useragent_poe_http_client_poco POE HTTP client component 23:24:14 [INFO] Received request http://api.twitter.com/1.1/account/verify_credentials.json?include_entities=true 23:24:14 [DEBUG] Awaiting http://api.twitter.com/1.1/account/verify_credentials.json?include_entities=true 23:24:14 [DEBUG] Handling request http://api.twitter.com/1.1/account/verify_credentials.json?include_entities=true 23:24:14 [DEBUG] Handling response http://api.twitter.com/1.1/account/verify_credentials.json?include_entities=true 23:24:14 [INFO] Response from http://api.twitter.com/1.1/account/verify_credentials.json?include_entities=true arrived (403) 23:24:14 [ERROR] twitter errer: 403 Forbidden at /opt/perl/5.18.1/lib/site_perl/5.18.1/POE/Component/Server/Twirc.pm line 259 23:24:14 [FATAL] Failed to get authenticated user data from twitter (verify_credentials) I've checked my Applications page on Twitter, and it shows twirc as authorized. I've tried revoking access and reauthorizing. The Applications page shows twirc reauthorized successfully, but I still get the same error.
Download (untitled) / with headers
text/plain 324b
Twitter began requiring SSL connections for API calls on 2014-01-14. I just uploaded v0.17 that enables SSL connections by default. You can upgrade, or simply enable SSL connections in your config. I'm not sure of the .ini syntax, but in my .yml config, I have: twitter_args: ssl: 1 Thanks for the bug report!
Download (untitled) / with headers
text/plain 137b
Thanks. I'm not sure INI files can do hashrefs, but it was easy enough to convert my config to YAML. Adding SSL seems to have fixed it.
Download (untitled) / with headers
text/plain 230b
0.17 hasn't made it to my mirror yet, so I just updated my config. I also had to install POE-Component-SSLify. I notice that 0.17 doesn't list that as a dependency, though. If you're using SSL by default, it probably should be.
Download (untitled) / with headers
text/plain 313b
On Sat Jan 18 15:17:38 2014, CJM wrote: Show quoted text
> 0.17 hasn't made it to my mirror yet, so I just updated my config. I > also had to install POE-Component-SSLify. I notice that 0.17 doesn't > list that as a dependency, though. If you're using SSL by default, it > probably should be.
LWP::UserAgent::POE pulls this in
Download (untitled) / with headers
text/plain 296b
On Fri, Jan 30, 2015 4:05:36 PM, PWR wrote: Show quoted text
> LWP::UserAgent::POE pulls this in
That dependency was introduced in LWP::UserAgent::POE 0.04, and POE-Component-Server-Twirc only requires version 0.02. So if you had an older version of L-UA-P already installed, you won't have working SSL support.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.